import * as Types from "./";
import { CoreClient, InvokeResult } from "@polywrap/core-js";
export type UInt = number;
export type UInt8 = number;
export type UInt16 = number;
export type UInt32 = number;
export type Int = number;
export type Int8 = number;
export type Int16 = number;
export type Int32 = number;
export type Bytes = Uint8Array;
export type BigInt = string;
export type BigNumber = string;
export type Json = string;
export type String = string;
export type Boolean = boolean;
export interface UriResolver_MaybeUriOrManifest {
    uri?: Types.String | null;
    manifest?: Types.Bytes | null;
}
export declare enum FileSystem_EncodingEnum {
    ASCII = 0,
    UTF8 = 1,
    UTF16LE = 2,
    UCS2 = 3,
    BASE64 = 4,
    BASE64URL = 5,
    LATIN1 = 6,
    BINARY = 7,
    HEX = 8
}
export type FileSystem_EncodingString = "ASCII" | "UTF8" | "UTF16LE" | "UCS2" | "BASE64" | "BASE64URL" | "LATIN1" | "BINARY" | "HEX";
export type FileSystem_Encoding = FileSystem_EncodingEnum | FileSystem_EncodingString;
export interface UriResolver_Module_Args_tryResolveUri {
    authority: Types.String;
    path: Types.String;
}
export interface UriResolver_Module_Args_getFile {
    path: Types.String;
}
export declare const UriResolver_Module: {
    tryResolveUri: (args: UriResolver_Module_Args_tryResolveUri, client: CoreClient) => Promise<InvokeResult<Types.UriResolver_MaybeUriOrManifest | null>>;
    getFile: (args: UriResolver_Module_Args_getFile, client: CoreClient) => Promise<InvokeResult<Types.Bytes | null>>;
};
export interface FileSystem_Module_Args_readFile {
    path: Types.String;
}
export interface FileSystem_Module_Args_readFileAsString {
    path: Types.String;
    encoding?: Types.FileSystem_Encoding | null;
}
export interface FileSystem_Module_Args_exists {
    path: Types.String;
}
export interface FileSystem_Module_Args_writeFile {
    path: Types.String;
    data: Types.Bytes;
}
export interface FileSystem_Module_Args_mkdir {
    path: Types.String;
    recursive?: Types.Boolean | null;
}
export interface FileSystem_Module_Args_rm {
    path: Types.String;
    recursive?: Types.Boolean | null;
    force?: Types.Boolean | null;
}
export interface FileSystem_Module_Args_rmdir {
    path: Types.String;
}
export declare const FileSystem_Module: {
    readFile: (args: FileSystem_Module_Args_readFile, client: CoreClient) => Promise<InvokeResult<Types.Bytes>>;
    readFileAsString: (args: FileSystem_Module_Args_readFileAsString, client: CoreClient) => Promise<InvokeResult<Types.String>>;
    exists: (args: FileSystem_Module_Args_exists, client: CoreClient) => Promise<InvokeResult<Types.Boolean>>;
    writeFile: (args: FileSystem_Module_Args_writeFile, client: CoreClient) => Promise<InvokeResult<Types.Boolean | null>>;
    mkdir: (args: FileSystem_Module_Args_mkdir, client: CoreClient) => Promise<InvokeResult<Types.Boolean | null>>;
    rm: (args: FileSystem_Module_Args_rm, client: CoreClient) => Promise<InvokeResult<Types.Boolean | null>>;
    rmdir: (args: FileSystem_Module_Args_rmdir, client: CoreClient) => Promise<InvokeResult<Types.Boolean | null>>;
};
